Bug 211836 - Enhance window drag'n'drop feedback
Enhance window drag'n'drop feedback
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.2
All All
: P2 (vote)
: 7.3
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks: 209468
  Show dependency treegraph
 
Reported: 2012-04-27 10:17 UTC by Stanislav Aubrecht
Modified: 2012-08-18 01:35 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch (3.99 KB, patch)
2012-08-02 16:12 UTC, Theofanis Oikonomou
Details | Diff
proposed patch (14.21 KB, patch)
2012-08-03 13:38 UTC, Theofanis Oikonomou
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2012-04-27 10:17:11 UTC
When dragging a window the visual feedback should indicate whether the window will be dropped into an editor mode or into non-editor mode.
Since version 7.1 it is possible to mix document windows together with non-editor windows which may lead to unwanted side effects. See e.g. issue #209468
Comment 1 Theofanis Oikonomou 2012-08-02 16:12:09 UTC
Created attachment 122690 [details]
proposed patch
Comment 2 Stanislav Aubrecht 2012-08-03 09:51:37 UTC
Thanks for the patch but it's not exactly what I had in my mind:)
The drop feedback should be different only when document and non-documents are about to be mixed. So dragging a document window and dropping below/next to some other document is legal and expected operation. However dropping an editor window next to Projects window leads to window type mixing that user should be warned about.
Also when dropping Projects window next to Navigator there should be no change in the visual feedback. But when the window is about to be dropped next to a document window the user should get a different visual feedback.

Btw, the feedback could be given also in the image of the dragged window instead of the drop target shape...
Comment 3 Theofanis Oikonomou 2012-08-03 13:38:08 UTC
Created attachment 122718 [details]
proposed patch

Now it is more clear what you wanted to achieve. 

The new patch paints with the default (red-ish) border the drop area and also the drag window(1) iff document TC is going to be dropped into editor mode or non-document TC is going to be dropped into non-editor mode. 

On the other hand the patch paints with a new color (green-ish) border the drop area and also the drag window iff document TC is going to be dropped into non-editor mode or non-document TC is going to be dropped into editor mode.

(1) I do not know if you want to paint the drag window red-ish in the default case.
Comment 4 Stanislav Aubrecht 2012-08-17 09:34:22 UTC
Thanks for the patch! I've tweaked it a bit and pushed into core-main 01830132d367
Comment 5 Quality Engineering 2012-08-18 01:35:25 UTC
Integrated into 'main-golden', will be available in build *201208180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/01830132d367
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #211836 - provide visual feedback when component types (editor x view) are being mixed during dnd


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo